// CHECKSTYLE:OFF

package io.jenkins.plugins.analysis.core.filter;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code Filter.Exclude.Package}: {@code Exclude packages}.
     * 
     * @return
     *     {@code Exclude packages}
     */
    public static String Filter_Exclude_Package() {
        return holder.format("Filter.Exclude.Package");
    }

    /**
     * Key {@code Filter.Exclude.Package}: {@code Exclude packages}.
     * 
     * @return
     *     {@code Exclude packages}
     */
    public static Localizable _Filter_Exclude_Package() {
        return new Localizable(holder, "Filter.Exclude.Package");
    }

    /**
     * Key {@code Filter.Exclude.Module}: {@code Exclude modules}.
     * 
     * @return
     *     {@code Exclude modules}
     */
    public static String Filter_Exclude_Module() {
        return holder.format("Filter.Exclude.Module");
    }

    /**
     * Key {@code Filter.Exclude.Module}: {@code Exclude modules}.
     * 
     * @return
     *     {@code Exclude modules}
     */
    public static Localizable _Filter_Exclude_Module() {
        return new Localizable(holder, "Filter.Exclude.Module");
    }

    /**
     * Key {@code pattern.blank}: {@code Filters with blank pattern will be
     * ignored}.
     * 
     * @return
     *     {@code Filters with blank pattern will be ignored}
     */
    public static String pattern_blank() {
        return holder.format("pattern.blank");
    }

    /**
     * Key {@code pattern.blank}: {@code Filters with blank pattern will be
     * ignored}.
     * 
     * @return
     *     {@code Filters with blank pattern will be ignored}
     */
    public static Localizable _pattern_blank() {
        return new Localizable(holder, "pattern.blank");
    }

    /**
     * Key {@code Filter.Exclude.Message}: {@code Exclude messages}.
     * 
     * @return
     *     {@code Exclude messages}
     */
    public static String Filter_Exclude_Message() {
        return holder.format("Filter.Exclude.Message");
    }

    /**
     * Key {@code Filter.Exclude.Message}: {@code Exclude messages}.
     * 
     * @return
     *     {@code Exclude messages}
     */
    public static Localizable _Filter_Exclude_Message() {
        return new Localizable(holder, "Filter.Exclude.Message");
    }

    /**
     * Key {@code Filter.Exclude.File}: {@code Exclude file names}.
     * 
     * @return
     *     {@code Exclude file names}
     */
    public static String Filter_Exclude_File() {
        return holder.format("Filter.Exclude.File");
    }

    /**
     * Key {@code Filter.Exclude.File}: {@code Exclude file names}.
     * 
     * @return
     *     {@code Exclude file names}
     */
    public static Localizable _Filter_Exclude_File() {
        return new Localizable(holder, "Filter.Exclude.File");
    }

    /**
     * Key {@code Filter.Include.Package}: {@code Include packages}.
     * 
     * @return
     *     {@code Include packages}
     */
    public static String Filter_Include_Package() {
        return holder.format("Filter.Include.Package");
    }

    /**
     * Key {@code Filter.Include.Package}: {@code Include packages}.
     * 
     * @return
     *     {@code Include packages}
     */
    public static Localizable _Filter_Include_Package() {
        return new Localizable(holder, "Filter.Include.Package");
    }

    /**
     * Key {@code pattern.error}: {@code This pattern is not a valid regular
     * expression: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code This pattern is not a valid regular expression: {0}}
     */
    public static String pattern_error(Object arg0) {
        return holder.format("pattern.error", arg0);
    }

    /**
     * Key {@code pattern.error}: {@code This pattern is not a valid regular
     * expression: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code This pattern is not a valid regular expression: {0}}
     */
    public static Localizable _pattern_error(Object arg0) {
        return new Localizable(holder, "pattern.error", arg0);
    }

    /**
     * Key {@code Filter.Include.Category}: {@code Include categories}.
     * 
     * @return
     *     {@code Include categories}
     */
    public static String Filter_Include_Category() {
        return holder.format("Filter.Include.Category");
    }

    /**
     * Key {@code Filter.Include.Category}: {@code Include categories}.
     * 
     * @return
     *     {@code Include categories}
     */
    public static Localizable _Filter_Include_Category() {
        return new Localizable(holder, "Filter.Include.Category");
    }

    /**
     * Key {@code Filter.Include.Message}: {@code Include messages}.
     * 
     * @return
     *     {@code Include messages}
     */
    public static String Filter_Include_Message() {
        return holder.format("Filter.Include.Message");
    }

    /**
     * Key {@code Filter.Include.Message}: {@code Include messages}.
     * 
     * @return
     *     {@code Include messages}
     */
    public static Localizable _Filter_Include_Message() {
        return new Localizable(holder, "Filter.Include.Message");
    }

    /**
     * Key {@code Filter.Include.Module}: {@code Include modules}.
     * 
     * @return
     *     {@code Include modules}
     */
    public static String Filter_Include_Module() {
        return holder.format("Filter.Include.Module");
    }

    /**
     * Key {@code Filter.Include.Module}: {@code Include modules}.
     * 
     * @return
     *     {@code Include modules}
     */
    public static Localizable _Filter_Include_Module() {
        return new Localizable(holder, "Filter.Include.Module");
    }

    /**
     * Key {@code Filter.Include.File}: {@code Include file names}.
     * 
     * @return
     *     {@code Include file names}
     */
    public static String Filter_Include_File() {
        return holder.format("Filter.Include.File");
    }

    /**
     * Key {@code Filter.Include.File}: {@code Include file names}.
     * 
     * @return
     *     {@code Include file names}
     */
    public static Localizable _Filter_Include_File() {
        return new Localizable(holder, "Filter.Include.File");
    }

    /**
     * Key {@code Filter.Exclude.Type}: {@code Exclude types}.
     * 
     * @return
     *     {@code Exclude types}
     */
    public static String Filter_Exclude_Type() {
        return holder.format("Filter.Exclude.Type");
    }

    /**
     * Key {@code Filter.Exclude.Type}: {@code Exclude types}.
     * 
     * @return
     *     {@code Exclude types}
     */
    public static Localizable _Filter_Exclude_Type() {
        return new Localizable(holder, "Filter.Exclude.Type");
    }

    /**
     * Key {@code Filter.Exclude.Category}: {@code Exclude categories}.
     * 
     * @return
     *     {@code Exclude categories}
     */
    public static String Filter_Exclude_Category() {
        return holder.format("Filter.Exclude.Category");
    }

    /**
     * Key {@code Filter.Exclude.Category}: {@code Exclude categories}.
     * 
     * @return
     *     {@code Exclude categories}
     */
    public static Localizable _Filter_Exclude_Category() {
        return new Localizable(holder, "Filter.Exclude.Category");
    }

    /**
     * Key {@code Filter.Include.Type}: {@code Include types}.
     * 
     * @return
     *     {@code Include types}
     */
    public static String Filter_Include_Type() {
        return holder.format("Filter.Include.Type");
    }

    /**
     * Key {@code Filter.Include.Type}: {@code Include types}.
     * 
     * @return
     *     {@code Include types}
     */
    public static Localizable _Filter_Include_Type() {
        return new Localizable(holder, "Filter.Include.Type");
    }

}
