// CHECKSTYLE:OFF

package io.jenkins.plugins.analysis.core.steps;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code ResultAction.MultipleNewWarnings}: {@code {0} new issues}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} new issues}
     */
    public static String ResultAction_MultipleNewWarnings(Object arg0) {
        return holder.format("ResultAction.MultipleNewWarnings", arg0);
    }

    /**
     * Key {@code ResultAction.MultipleNewWarnings}: {@code {0} new issues}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} new issues}
     */
    public static Localizable _ResultAction_MultipleNewWarnings(Object arg0) {
        return new Localizable(holder, "ResultAction.MultipleNewWarnings", arg0);
    }

    /**
     * Key {@code ResultAction.MultipleFixedWarnings}: {@code {0} fixed
     * issues}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} fixed issues}
     */
    public static String ResultAction_MultipleFixedWarnings(Object arg0) {
        return holder.format("ResultAction.MultipleFixedWarnings", arg0);
    }

    /**
     * Key {@code ResultAction.MultipleFixedWarnings}: {@code {0} fixed
     * issues}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} fixed issues}
     */
    public static Localizable _ResultAction_MultipleFixedWarnings(Object arg0) {
        return new Localizable(holder, "ResultAction.MultipleFixedWarnings", arg0);
    }

    /**
     * Key {@code PublishIssues.DisplayName}: {@code Publish issues created
     * by a static analysis scan}.
     * 
     * @return
     *     {@code Publish issues created by a static analysis scan}
     */
    public static String PublishIssues_DisplayName() {
        return holder.format("PublishIssues.DisplayName");
    }

    /**
     * Key {@code PublishIssues.DisplayName}: {@code Publish issues created
     * by a static analysis scan}.
     * 
     * @return
     *     {@code Publish issues created by a static analysis scan}
     */
    public static Localizable _PublishIssues_DisplayName() {
        return new Localizable(holder, "PublishIssues.DisplayName");
    }

    /**
     * Key {@code ResultAction.MultipleWarnings}: {@code {0} issues}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} issues}
     */
    public static String ResultAction_MultipleWarnings(Object arg0) {
        return holder.format("ResultAction.MultipleWarnings", arg0);
    }

    /**
     * Key {@code ResultAction.MultipleWarnings}: {@code {0} issues}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code {0} issues}
     */
    public static Localizable _ResultAction_MultipleWarnings(Object arg0) {
        return new Localizable(holder, "ResultAction.MultipleWarnings", arg0);
    }

    /**
     * Key {@code ResultAction.OneFixedWarning}: {@code 1 fixed issue}.
     * 
     * @return
     *     {@code 1 fixed issue}
     */
    public static String ResultAction_OneFixedWarning() {
        return holder.format("ResultAction.OneFixedWarning");
    }

    /**
     * Key {@code ResultAction.OneFixedWarning}: {@code 1 fixed issue}.
     * 
     * @return
     *     {@code 1 fixed issue}
     */
    public static Localizable _ResultAction_OneFixedWarning() {
        return new Localizable(holder, "ResultAction.OneFixedWarning");
    }

    /**
     * Key {@code ResultAction.OneWarning}: {@code 1 issue}.
     * 
     * @return
     *     {@code 1 issue}
     */
    public static String ResultAction_OneWarning() {
        return holder.format("ResultAction.OneWarning");
    }

    /**
     * Key {@code ResultAction.OneWarning}: {@code 1 issue}.
     * 
     * @return
     *     {@code 1 issue}
     */
    public static Localizable _ResultAction_OneWarning() {
        return new Localizable(holder, "ResultAction.OneWarning");
    }

    /**
     * Key {@code ResultAction.OneFile}: {@code from one analysis.}.
     * 
     * @return
     *     {@code from one analysis.}
     */
    public static String ResultAction_OneFile() {
        return holder.format("ResultAction.OneFile");
    }

    /**
     * Key {@code ResultAction.OneFile}: {@code from one analysis.}.
     * 
     * @return
     *     {@code from one analysis.}
     */
    public static Localizable _ResultAction_OneFile() {
        return new Localizable(holder, "ResultAction.OneFile");
    }

    /**
     * Key {@code ScanAndPublishIssues.DisplayName}: {@code Record compiler
     * warnings and static analysis results}.
     * 
     * @return
     *     {@code Record compiler warnings and static analysis results}
     */
    public static String ScanAndPublishIssues_DisplayName() {
        return holder.format("ScanAndPublishIssues.DisplayName");
    }

    /**
     * Key {@code ScanAndPublishIssues.DisplayName}: {@code Record compiler
     * warnings and static analysis results}.
     * 
     * @return
     *     {@code Record compiler warnings and static analysis results}
     */
    public static Localizable _ScanAndPublishIssues_DisplayName() {
        return new Localizable(holder, "ScanAndPublishIssues.DisplayName");
    }

    /**
     * Key {@code ResultAction.OneNewWarning}: {@code 1 new issue}.
     * 
     * @return
     *     {@code 1 new issue}
     */
    public static String ResultAction_OneNewWarning() {
        return holder.format("ResultAction.OneNewWarning");
    }

    /**
     * Key {@code ResultAction.OneNewWarning}: {@code 1 new issue}.
     * 
     * @return
     *     {@code 1 new issue}
     */
    public static Localizable _ResultAction_OneNewWarning() {
        return new Localizable(holder, "ResultAction.OneNewWarning");
    }

    /**
     * Key {@code ScanForIssues.DisplayName}: {@code Scan files or the
     * console log for warnings or issues}.
     * 
     * @return
     *     {@code Scan files or the console log for warnings or issues}
     */
    public static String ScanForIssues_DisplayName() {
        return holder.format("ScanForIssues.DisplayName");
    }

    /**
     * Key {@code ScanForIssues.DisplayName}: {@code Scan files or the
     * console log for warnings or issues}.
     * 
     * @return
     *     {@code Scan files or the console log for warnings or issues}
     */
    public static Localizable _ScanForIssues_DisplayName() {
        return new Localizable(holder, "ScanForIssues.DisplayName");
    }

    /**
     * Key {@code ResultAction.MultipleFiles}: {@code from {0} analyses.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code from {0} analyses.}
     */
    public static String ResultAction_MultipleFiles(Object arg0) {
        return holder.format("ResultAction.MultipleFiles", arg0);
    }

    /**
     * Key {@code ResultAction.MultipleFiles}: {@code from {0} analyses.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code from {0} analyses.}
     */
    public static Localizable _ResultAction_MultipleFiles(Object arg0) {
        return new Localizable(holder, "ResultAction.MultipleFiles", arg0);
    }

    /**
     * Key {@code Tool.Default.Name}: {@code Static Analysis}.
     * 
     * @return
     *     {@code Static Analysis}
     */
    public static String Tool_Default_Name() {
        return holder.format("Tool.Default.Name");
    }

    /**
     * Key {@code Tool.Default.Name}: {@code Static Analysis}.
     * 
     * @return
     *     {@code Static Analysis}
     */
    public static Localizable _Tool_Default_Name() {
        return new Localizable(holder, "Tool.Default.Name");
    }

}
