// CHECKSTYLE:OFF

package io.jenkins.plugins.analysis.warnings.groovy;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code GroovyParser.Error.Script.isEmpty}: {@code Groovy script
     * must not be empty.}.
     * 
     * @return
     *     {@code Groovy script must not be empty.}
     */
    public static String GroovyParser_Error_Script_isEmpty() {
        return holder.format("GroovyParser.Error.Script.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Script.isEmpty}: {@code Groovy script
     * must not be empty.}.
     * 
     * @return
     *     {@code Groovy script must not be empty.}
     */
    public static Localizable _GroovyParser_Error_Script_isEmpty() {
        return new Localizable(holder, "GroovyParser.Error.Script.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.message}: {@code message:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code message: {0}}
     */
    public static String GroovyParser_Error_Example_ok_message(Object arg0) {
        return holder.format("GroovyParser.Error.Example.ok.message", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.message}: {@code message:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code message: {0}}
     */
    public static Localizable _GroovyParser_Error_Example_ok_message(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.message", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.exception}: {@code An exception
     * occurred during evaluation of the Groovy script: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code An exception occurred during evaluation of the Groovy script:
     *     {0}}
     */
    public static String GroovyParser_Error_Example_exception(Object arg0) {
        return holder.format("GroovyParser.Error.Example.exception", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.exception}: {@code An exception
     * occurred during evaluation of the Groovy script: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code An exception occurred during evaluation of the Groovy script:
     *     {0}}
     */
    public static Localizable _GroovyParser_Error_Example_exception(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.exception", arg0);
    }

    /**
     * Key {@code GroovyParser.long_examples_will_be_truncated}: {@code Long
     * examples will be truncated}.
     * 
     * @return
     *     {@code Long examples will be truncated}
     */
    public static String GroovyParser_long_examples_will_be_truncated() {
        return holder.format("GroovyParser.long_examples_will_be_truncated");
    }

    /**
     * Key {@code GroovyParser.long_examples_will_be_truncated}: {@code Long
     * examples will be truncated}.
     * 
     * @return
     *     {@code Long examples will be truncated}
     */
    public static Localizable _GroovyParser_long_examples_will_be_truncated() {
        return new Localizable(holder, "GroovyParser.long_examples_will_be_truncated");
    }

    /**
     * Key {@code GroovyParser.Error.Example.regexpDoesNotMatch}: {@code The
     * regular expression does not match the example text.}.
     * 
     * @return
     *     {@code The regular expression does not match the example text.}
     */
    public static String GroovyParser_Error_Example_regexpDoesNotMatch() {
        return holder.format("GroovyParser.Error.Example.regexpDoesNotMatch");
    }

    /**
     * Key {@code GroovyParser.Error.Example.regexpDoesNotMatch}: {@code The
     * regular expression does not match the example text.}.
     * 
     * @return
     *     {@code The regular expression does not match the example text.}
     */
    public static Localizable _GroovyParser_Error_Example_regexpDoesNotMatch() {
        return new Localizable(holder, "GroovyParser.Error.Example.regexpDoesNotMatch");
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.file}: {@code file name:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code file name: {0}}
     */
    public static String GroovyParser_Error_Example_ok_file(Object arg0) {
        return holder.format("GroovyParser.Error.Example.ok.file", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.file}: {@code file name:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code file name: {0}}
     */
    public static Localizable _GroovyParser_Error_Example_ok_file(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.file", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Regexp.isEmpty}: {@code Regular
     * expression must not be empty.}.
     * 
     * @return
     *     {@code Regular expression must not be empty.}
     */
    public static String GroovyParser_Error_Regexp_isEmpty() {
        return holder.format("GroovyParser.Error.Regexp.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Regexp.isEmpty}: {@code Regular
     * expression must not be empty.}.
     * 
     * @return
     *     {@code Regular expression must not be empty.}
     */
    public static Localizable _GroovyParser_Error_Regexp_isEmpty() {
        return new Localizable(holder, "GroovyParser.Error.Regexp.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Name.isEmpty}: {@code Display name must
     * not be empty.}.
     * 
     * @return
     *     {@code Display name must not be empty.}
     */
    public static String GroovyParser_Error_Name_isEmpty() {
        return holder.format("GroovyParser.Error.Name.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Name.isEmpty}: {@code Display name must
     * not be empty.}.
     * 
     * @return
     *     {@code Display name must not be empty.}
     */
    public static Localizable _GroovyParser_Error_Name_isEmpty() {
        return new Localizable(holder, "GroovyParser.Error.Name.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Warning.NoRunScriptPermission}: {@code You
     * have no rights to execute Groovy warnings parsers.}.
     * 
     * @return
     *     {@code You have no rights to execute Groovy warnings parsers.}
     */
    public static String GroovyParser_Warning_NoRunScriptPermission() {
        return holder.format("GroovyParser.Warning.NoRunScriptPermission");
    }

    /**
     * Key {@code GroovyParser.Warning.NoRunScriptPermission}: {@code You
     * have no rights to execute Groovy warnings parsers.}.
     * 
     * @return
     *     {@code You have no rights to execute Groovy warnings parsers.}
     */
    public static Localizable _GroovyParser_Warning_NoRunScriptPermission() {
        return new Localizable(holder, "GroovyParser.Warning.NoRunScriptPermission");
    }

    /**
     * Key {@code GroovyParser.Error.Script.invalid}: {@code This is not a
     * valid Groovy script: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code This is not a valid Groovy script: {0}}
     */
    public static String GroovyParser_Error_Script_invalid(Object arg0) {
        return holder.format("GroovyParser.Error.Script.invalid", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Script.invalid}: {@code This is not a
     * valid Groovy script: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code This is not a valid Groovy script: {0}}
     */
    public static Localizable _GroovyParser_Error_Script_invalid(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Script.invalid", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.type}: {@code type: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code type: {0}}
     */
    public static String GroovyParser_Error_Example_ok_type(Object arg0) {
        return holder.format("GroovyParser.Error.Example.ok.type", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.type}: {@code type: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code type: {0}}
     */
    public static Localizable _GroovyParser_Error_Example_ok_type(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.type", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Regexp.invalid}: {@code This is not a
     * valid regular expression: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code This is not a valid regular expression: {0}}
     */
    public static String GroovyParser_Error_Regexp_invalid(Object arg0) {
        return holder.format("GroovyParser.Error.Regexp.invalid", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Regexp.invalid}: {@code This is not a
     * valid regular expression: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code This is not a valid regular expression: {0}}
     */
    public static Localizable _GroovyParser_Error_Regexp_invalid(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Regexp.invalid", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.wrongReturnType}: {@code Result
     * of the script is not of type ''Issue'': {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Result of the script is not of type ''Issue'': {0}}
     */
    public static String GroovyParser_Error_Example_wrongReturnType(Object arg0) {
        return holder.format("GroovyParser.Error.Example.wrongReturnType", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.wrongReturnType}: {@code Result
     * of the script is not of type ''Issue'': {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Result of the script is not of type ''Issue'': {0}}
     */
    public static Localizable _GroovyParser_Error_Example_wrongReturnType(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.wrongReturnType", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Id.isEmpty}: {@code ID must not be
     * empty.}.
     * 
     * @return
     *     {@code ID must not be empty.}
     */
    public static String GroovyParser_Error_Id_isEmpty() {
        return holder.format("GroovyParser.Error.Id.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Id.isEmpty}: {@code ID must not be
     * empty.}.
     * 
     * @return
     *     {@code ID must not be empty.}
     */
    public static Localizable _GroovyParser_Error_Id_isEmpty() {
        return new Localizable(holder, "GroovyParser.Error.Id.isEmpty");
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.category}: {@code category: 
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code category:  {0}}
     */
    public static String GroovyParser_Error_Example_ok_category(Object arg0) {
        return holder.format("GroovyParser.Error.Example.ok.category", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.category}: {@code category: 
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code category:  {0}}
     */
    public static Localizable _GroovyParser_Error_Example_ok_category(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.category", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Id.isNotUnique}: {@code ID must be
     * unique, it is already used by parser ''{0}''.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code ID must be unique, it is already used by parser ''{0}''.}
     */
    public static String GroovyParser_Error_Id_isNotUnique(Object arg0) {
        return holder.format("GroovyParser.Error.Id.isNotUnique", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Id.isNotUnique}: {@code ID must be
     * unique, it is already used by parser ''{0}''.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code ID must be unique, it is already used by parser ''{0}''.}
     */
    public static Localizable _GroovyParser_Error_Id_isNotUnique(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Id.isNotUnique", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.line}: {@code line number:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code line number: {0}}
     */
    public static String GroovyParser_Error_Example_ok_line(Object arg0) {
        return holder.format("GroovyParser.Error.Example.ok.line", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.line}: {@code line number:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code line number: {0}}
     */
    public static Localizable _GroovyParser_Error_Example_ok_line(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.line", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.title}: {@code One issue
     * found}.
     * 
     * @return
     *     {@code One issue found}
     */
    public static String GroovyParser_Error_Example_ok_title() {
        return holder.format("GroovyParser.Error.Example.ok.title");
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.title}: {@code One issue
     * found}.
     * 
     * @return
     *     {@code One issue found}
     */
    public static Localizable _GroovyParser_Error_Example_ok_title() {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.title");
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.priority}: {@code severity:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code severity: {0}}
     */
    public static String GroovyParser_Error_Example_ok_priority(Object arg0) {
        return holder.format("GroovyParser.Error.Example.ok.priority", arg0);
    }

    /**
     * Key {@code GroovyParser.Error.Example.ok.priority}: {@code severity:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code severity: {0}}
     */
    public static Localizable _GroovyParser_Error_Example_ok_priority(Object arg0) {
        return new Localizable(holder, "GroovyParser.Error.Example.ok.priority", arg0);
    }

}
